// package: bet.beteran.member_session
// file: models/member_session.proto

import * as jspb from "google-protobuf";
import * as models_member_pb from "../models/member_pb";

export class MemberSession extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  hasMember(): boolean;
  clearMember(): void;
  getMember(): models_member_pb.Member | undefined;
  setMember(value?: models_member_pb.Member): void;

  getData(): string;
  setData(value: string): void;

  getLastAccessedAt(): number;
  setLastAccessedAt(value: number): void;

  getExpiresAt(): number;
  setExpiresAt(value: number): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberSession.AsObject;
  static toObject(includeInstance: boolean, msg: MemberSession): MemberSession.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: MemberSession, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): MemberSession;
  static deserializeBinaryFromReader(message: MemberSession, reader: jspb.BinaryReader): MemberSession;
}

export namespace MemberSession {
  export type AsObject = {
    id: string,
    member?: models_member_pb.Member.AsObject,
    data: string,
    lastAccessedAt: number,
    expiresAt: number,
    createdAt: number,
  }
}

